import { geoAlbers, geoPath, geoGraticule } from 'd3';

const projection = geoAlbers();
const pathProj = geoPath(projection);
const graticule = geoGraticule();

export const MapMarks = ({
  atlas: { land, interiors },
  colorScale,
  tooltipFormat,
  ttpValue
}) => (
  <g className="marks">
		<path className="sphere" d={pathProj({ type: 'Sphere' })} /> 
    <path className="graticules" d={pathProj(graticule())} />
    {land.features.map((feature, index) => (
      <path className="land" d={pathProj(feature)} fill={colorScale(index)}
      />
    ))}
    <path className="interiors" d={pathProj(interiors)} />
  </g>
);
